List Reports
curl --request GET \
--url https://api.mindfort.app/v1/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"reports": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"include_secured_findings": true,
"include_resolved_findings": true
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Reports
List Reports
GET
/
v1
/
reports
List Reports
curl --request GET \
--url https://api.mindfort.app/v1/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"reports": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"include_secured_findings": true,
"include_resolved_findings": true
}
],
"total": 123,
"limit": 123,
"offset": 123,
"next_cursor": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I